/**
 * bosfs - A fuse-based file system implemented on Baidu Object Storage(BOS)
 *
 * Copyright (c) 2016 Baidu.com, Inc. All rights reserved.
 *
 * @file    common.h
 * @author  Song Shuangyang(songshuangyang@baidu.com)
 * @date    2016.8
 * @brief   Declare the common variables, macros and so on.
 **/
#ifndef BAIDU_BOS_BOSFS_COMMON_H
#define BAIDU_BOS_BOSFS_COMMON_H

#include <stdint.h>
#include <sys/types.h>

#include <string>
#include <map>

#ifndef VERSION
#include "config.h"
#endif

#define BEGIN_FS_NAMESPACE \
namespace baidu { \
namespace bos { \
namespace bosfs {

#define END_FS_NAMESPACE }}}
#define bosfs_ns baidu::bos::bosfs

#define DEFAULT_ENDPOINT "bj.bcebos.com"

BEGIN_FS_NAMESPACE

// Common global variable
extern std::string        g_program_name;
extern std::string        g_endpoint;
extern std::string        g_bucket;
extern std::string        g_bucket_prefix;
extern std::string        g_ak;
extern std::string        g_sk;
extern std::string g_sts_token;
extern std::string g_storage_class;
extern std::string g_credentials_path;

extern int64_t g_multipart_size;
extern int g_multipart_parallel;
extern int64_t g_multipart_threshold;

// Variables for command arguments
extern time_t g_mount_time;
extern uid_t              g_mount_uid;
extern gid_t              g_mount_gid;
extern mode_t             g_mount_mode;
extern mode_t             g_mount_umask;
extern bool               g_is_mount_umask;
extern std::string        g_mountpoint;
extern bool               g_allow_other;
extern uid_t              g_bosfs_uid;
extern gid_t              g_bosfs_gid;
extern mode_t             g_bosfs_mask;
extern bool               g_is_bosfs_uid;
extern bool               g_is_bosfs_gid;
extern bool               g_is_bosfs_umask;
extern bool               g_remove_cache;
extern bool               g_create_bucket;
extern uint64_t           g_bos_client_timeout;

END_FS_NAMESPACE

#endif

